<?php

/**
 * The plugin bootstrap file
 *
 * This file is read by WordPress to generate the plugin information in the plugin
 * admin area. This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a function
 * that starts the plugin.
 *
 * @link              http://davidstockdalescrapcode.co.uk
 * @since             1.0.0
 * @package           David_Scroller
 *
 * @wordpress-plugin
 * Plugin Name:       David Scroller
 * Plugin URI:        http://davidstockdalescrapcode.co.uk/my-plugins
 * Description:       Displays a cell within Google Sheets as a scrolling number.
 * Version:           1.0.3
 * Author:            David Stockdale
 * Author URI:        http://davidstockdalescrapcode.co.uk/about-me
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       david-scroller
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

/**
 * Currently plugin version.
 * Start at version 1.0.0 and use SemVer - https://semver.org
 * Rename this for your plugin and update it as you release new versions.
 */
define( 'DAVID_SCROLLER_VERSION', '1.0.3' );

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-david-scroller-activator.php
 */
function activate_david_scroller() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-david-scroller-activator.php';
	David_Scroller_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-david-scroller-deactivator.php
 */
function deactivate_david_scroller() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-david-scroller-deactivator.php';
	David_Scroller_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_david_scroller' );
register_deactivation_hook( __FILE__, 'deactivate_david_scroller' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-david-scroller.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function run_david_scroller() {

	$plugin = new David_Scroller();
	$plugin->run();

}

// add_action('admin_menu', 'myplugin_admin_menu');

// function myplugin_admin_menu() {
//     $page_title = 'David Scroller Settings';
//     $menu_title = 'David Scroller';
//     $capability = 'manage_options';
//     $menu_slug = 'myplugin-settings';
//     $function = 'myplugin_settings';
//     add_options_page($page_title, $menu_title, $capability, $menu_slug, $function);
// }

// function myplugin_settings() {
//     if (!current_user_can('manage_options')) {
//         wp_die('You do not have sufficient permissions to access this page.');
//     }

//     // Here is where you could start displaying the HTML needed for the settings
//     // page, or you could include a file that handles the HTML output for you.
    
	
	
// }






// add_filter('plugin_action_links', 'myplugin_plugin_action_links', 10, 2);

// function myplugin_plugin_action_links($links, $file) {
//     static $this_plugin;

//     if (!$this_plugin) {
//         $this_plugin = plugin_basename(__FILE__);
//     }

//     if ($file == $this_plugin) {
//         // The "page" query string value must be equal to the slug
//         // of the Settings admin page we defined earlier, which in
//         // this case equals "myplugin-settings".
//         $settings_link = '<a href="' . get_bloginfo('wpurl') . '/wp-admin/admin.php?page=myplugin-settings">Settings</a>';
//         array_unshift($links, $settings_link);
//     }

//     return $links;
// }


// $default_keys = "XXX-XXXX";
// update_option( 'david_scroller_key', $default_keys, true );

run_david_scroller();
