<?php

/**
 * Define the internationalization functionality
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @link       http://davidstockdalescrapcode.co.uk
 * @since      1.0.0
 *
 * @package    David_Scroller
 * @subpackage David_Scroller/includes
 */

/**
 * Define the internationalization functionality.
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @since      1.0.0
 * @package    David_Scroller
 * @subpackage David_Scroller/includes
 * @author     David Stockdale <davidstockdale13@hotmail.co.uk>
 */
class David_Scroller_i18n {


	/**
	 * Load the plugin text domain for translation.
	 *
	 * @since    1.0.0
	 */
	public function load_plugin_textdomain() {

		load_plugin_textdomain(
			'david-scroller',
			false,
			dirname( dirname( plugin_basename( __FILE__ ) ) ) . '/languages/'
		);

	}



}
